Bug 37567 - REGRESSION: hyperlink text styled with ::first-letter text-transform shows up in wrong color
Summary: REGRESSION: hyperlink text styled with ::first-letter text-transform shows up...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Dave Hyatt
URL: http://dev.w3.org/html5/markup/figcap...
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-14 01:34 PDT by Michael[tm] Smith
Modified: 2010-05-11 23:05 PDT (History)
1 user (show)

See Also:


Attachments
This fixes the bug. (1.65 KB, patch)
2010-04-14 15:29 PDT, Dave Hyatt
no flags Details | Formatted Diff | Diff
Patch (2.40 KB, patch)
2010-04-15 10:57 PDT, Dave Hyatt
andersca: review+
hyatt: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael[tm] Smith 2010-04-14 01:34:45 PDT
r57509

1. visit http://dev.w3.org/html5/markup/figcaption.html#figcaption
2. click and follow the "Phrasing content" hyperlink
3. go back to http://dev.w3.org/html5/markup/figcaption.html#figcaption

You should notice that the letter "P" is rendered in the default, non-visited-link color, while the remaining "hrasing content" text shows up as expected in visited-link color.

relevant source excerpt:

          <p class="elem-mdl">
      <span><a href="terminology.html#phrasing-content">phrasing content</a></span>

accompanying CSS excerpt:

  .elem-mdl::first-letter {
  text-transform: uppercase;
  }

I get expected behavior (all of the hyperlink text in visited-link color) in stable Safari and in all other browsers tested (Minefield, latest Chrome dev-channel for OSX).
Comment 1 Dave Hyatt 2010-04-14 15:29:56 PDT
Created attachment 53375 [details]
This fixes the bug.

I need to write a test case.

I noticed a couple of other bugs with pseudo elements and :visited though besides this one.  I'll fix those in a followup.
Comment 2 Dave Hyatt 2010-04-15 10:56:12 PDT
I'd like to write a good test for this, but

https://bugs.webkit.org/show_bug.cgi?id=24021

blocks me.  I'm going to land testless and then see if I can't get 24021 ferried into the tree (the patch in the bug looks good to me).  After that lands, pseudo element tests will be possible.
Comment 3 Dave Hyatt 2010-04-15 10:57:50 PDT
Created attachment 53451 [details]
Patch
Comment 4 Anders Carlsson 2010-04-15 10:59:01 PDT
Comment on attachment 53451 [details]
Patch

r=me
Comment 5 Dave Hyatt 2010-04-15 11:22:44 PDT
Fixed in r57657.
Comment 6 Alexey Proskuryakov 2010-05-11 23:05:04 PDT
This has caused bug 38891.